const whiteList = ['/login', '/auth-redirect','/xx','/tprocessdetail'] // no redirect whitelist


router.beforeEach(async(to, from, next) => {

    document.title = '公共标题'
    // Cookies.set(tokenName,'11111111')  //随便给token设置值，这样就直接跳过登录页了
    const hasToken = Cookies.get(tokenName)


    // next()
    // return

    if (hasToken) {

        if (to.path === '/login') {
            next({ path: '/' })
        } else {

            const hasRoles = store.getters.roles && store.getters.roles.length > 0
            if (hasRoles) {
                next()
            } else {
                try {

                    const { roles,menus } = await store.dispatch('getInfo')
                    //  console.log(menus)
                    // debugger
                    // const accessRoutes = await store.dispatch('permission/generateRoutes', roles)

                    // router.addRoute(
                    //     {
                    //         path: '/:catchAll(.*)',
                    //         name: 'All',
                    //         redirect: '/404',
                    //     }
                    // )
                    // for (const item of newRouter) {
                    //     router.addRoute(item)
                    // }
                    menus.push({ path: '*', redirect: '/404', hidden: true })

                    router.addRoutes(menus)
                    window.antRouter = menus
                    next({ ...to, replace: true })


                } catch (error) {
                    console.log('error',error)
                    await store.dispatch('resetToken')
                    next(`/login?redirect=${to.path}`)
                }
            }
        }
    } else {

        if (whiteList.indexOf(to.path) !== -1) {

            next()
        } else {

            next(`/login?redirect=${to.path}`)

        }
    }
})
