var layout = httpVueLoader('./src/layout/layout.vue')


//静态路由
var constantRoutes = [
    {
        path: '/',
        redirect: '/home',
        component: layout ,
        children: [
            {
                path: 'home',
                component: httpVueLoader('./src/views/home.vue'),
                name: 'home',
                meta: { title: 'Dashboard',icon:'search'}
            }
        ]
    },
    {
        path: '/redirect',
        component: layout ,
        hidden: true,
        children: [
            {
                path: '/redirect/:path*',
                component: httpVueLoader('./src/views/redirect/index.vue')
            }
        ]
    },
    {
        path: '/login',
        component: httpVueLoader('./src/views/login.vue'),
        hidden: true,
    },

    {
        path: '/404',
        component: httpVueLoader('./src/views/error/404.vue'),
        hidden: true,
    }

]


var router = new VueRouter({
    // base: '/app/index', // 配置单页应用的基路径
    routes: constantRoutes
});
